Bug Hunting Session
Bug 85383 - UI: Change close button for a button that allows dock the slide panel (Impress and Draw)
Summary: UI: Change close button for a button that allows dock the slide panel (Impres...
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.3.2.2 release
Hardware: All All
: low enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsUXEval
Depends on:
Blocks:
 
Reported: 2014-10-23 19:54 UTC by Bastián Díaz
Modified: 2016-09-16 13:39 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bastián Díaz 2014-10-23 19:54:58 UTC
Currently in Impress and Draw is possible to hide the panel, however, the location of the button (middle panel) is unintuitive and hardly clickable. I suggest changing the location of this function where the close button.

This greatly improves the usability, as it would easily hide and show the slide panel (decreasing the amount of clicks that are currently used for the same function)
Comment 1 Joel Madero 2014-10-24 03:25:47 UTC
Interestingly enough - I disagree, I like the current placement. That being said, it's up to the UX team to decide.

Marking as:
New
Enhancement
Low - not going to impact real world work very much - for some users might be more intuitive but that isn't going to be a tremendous increase in functionality.

Asking for UX-Advice, UX team, if you feel this is fine, leave as NEW please, else close as WONTFIX. Thanks!
Comment 2 Bastián Díaz 2014-10-24 05:56:45 UTC
(In reply to Joel Madero from comment #1

Thanks for your comment. He added that the idea of ​​changing the "close" button, which is always the option to display or quit the slide pane through the View menu. (Both buttons could coexist). 

Moreover, the isomorphism that had the slide panel with the old sidebar is lost and difficult for new users to identify the feature (in 4.4 is planned to expand/collapse through dock icons).

This is experienced in a small introductory course to Impress, where many of the students "closed" slide panel when in fact wanted to "hide or minimize" (that after trying like MS Power Point, which is dragging it to the shore, but Impress has a limit)

Thanks
Comment 3 Jan Holesovsky 2015-12-04 14:27:45 UTC
Dastian: I am sorry, I am unable to understand your request :-(  Can you please add a screenshot, and show there which button / panel do you have in mind?  Also - can you re-try with LibreOffice 5.1 Beta / RC if they still have the problem?

Thank you in advance!
Comment 4 Robinson Tryon (qubit) 2016-08-25 04:44:51 UTC Comment hidden (obsolete)
Comment 5 V Stuart Foote 2016-09-16 13:39:41 UTC
Affects both Impress and Draw --> LibreOffice component.

OP's issue is with the Slides/Pages pane "edge" button to "collapse" the pane--present on the Slides/Pages panes, and also on the Sidebar.

So proposes moving the collapse "edge" button upward to the title bar.

As _designed_, the pane collapse buttons are matched pair in the UI--on the Sidebar and Slides/Pages panes--and have icon instrumented to clearly show the action the button performs, e.g. opening or closing the pane.  

There is an open design usability issue of placing the vertical scroll bar to the outside of these panes (bug 92381).

But this is a WONTFIX.